[![PyPI Version](https://img.shields.io/pypi/v/openplzapi-client.svg)](https://pypi.python.org/pypi/openplzapi-client)
![GitHub](https://img.shields.io/github/license/openpotato/openplzapi-client.py)

# OpenPLZ API Python Client

The official [Python](https://www.python.org/) client library for direct access to the [OpenPLZ API](https://www.openplzapi.org/en).

+ Supports Python 3.8+
+ Supports all available [API endpoints](https://openplzapi.org/swagger/index.html)
+ Supports paged responses and [RFC 9457](https://datatracker.ietf.org/doc/html/rfc9457) error responses
+ Uses [Requests](https://github.com/psf/requests) as HTTP client.

## Installation

The **OpenPLZ API Python Client** is available on [PiPy](https://pypi.python.org/pypi/openplzapi-client), and installation via [pip](https://pip.pypa.io/) is the recommended way to install:

```
pip install openplzapi-client
```

## Getting started

Documentation is available in the [GitHub wiki](https://github.com/openpotato/openplzapi-client.py/wiki).

## Can I help?

Yes, that would be much appreciated. The best way to help is to post a response via the Issue Tracker and/or submit a Pull Request.
